# Clone object

```http
POST /v1/tenants/{tenantId}/buckets/{bucketName}/clone_object
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `CloneObject`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `clone:s3:bucket_objects`

Creates a server-side clone of an object in the given bucket

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `bucketName` (string, required) — Bucket name

## Request body (required)

Clone object request

Content type: `application/json`

- `objectKey` (string)
- `versionId` (string)

Example request body:

```json
{
  "objectKey": "string",
  "versionId": "string"
}
```

## Responses

### 200 — Cloned object

Content type: `application/json`

- `bucket` (string)
- `key` (string)
- `size` (integer)
- `versionId` (string)

### 400 — Bad request

Content type: `application/json`

- `message` (string)

### 404 — Not found

Content type: `application/json`

- `message` (string)
